#!/bin/sh
#uncomment the following line to skip bootloader update 
#touch /tmp/skipBLD

#update iapi.backfill_record.recycling(Record.Recycling) to delete if fw version < 1.1.1
VER=`grep FwVersion /etc/fw_ver.info | awk '{print $2}'`
MAJ_VER=`echo $VER | awk -F . '{print $1}'`
MIN_VER=`echo $VER | awk -F . '{print $2}'`
REP_VER=`echo $VER | awk -F . '{print $3}'`
#echo $MAJ_VER
#echo $MIN_VER
#echo $REP_VER

UPDATE=0
if [ $MAJ_VER -lt 1 ]
then
	UPDATE=1
elif [ $MAJ_VER -eq 1 ]
then
	if [ $MIN_VER -lt 1 ]
	then
		UPDATE=1
	elif [ $MIN_VER -le 1 ]
	then
		if [ $REP_VER -le 1 ]
		then
			UPDATE=1
		fi
	fi

fi

if [ $UPDATE -eq 1 ]
then
	buscfg -s -n iapi.backfill_record.recycling -v delete
fi

exit 0
